Convergence is an engine for realtime collaboration, which implies connectivity to both a central service and likely other users. Similarly, authenticated usage is almost always desired for identification, authorization and consistency advantages.

The Convergence class is the entrance point for most usages.

## Index

### Classes

- AuthenticatedEvent
- AuthenticatingEvent
- AuthenticationFailedEvent
- CancellationToken
- ConnectedEvent
- ConnectingEvent
- ConnectionFailedEvent
- ConnectionScheduledEvent
- DisconnectedEvent
- InterruptedEvent

### Variables

- configureLogging
- connect
- connectAnonymously
- connectWithJwt
- connectWithPassword
- reconnect

### Interfaces

- IConvergenceDomainEvent
- IConvergenceOptions
- IFallbackAuthChallenge
- IUsernameAndPassword
- IWebSocketClass

### Type aliases

- AuthenticationMethod
- WebSocketFactory

### Enumerations

- AuthenticationMethods

## Variables

### ConstconfigureLogging

configureLogging: configureLogging = Convergence.configureLogging

### Constconnect

connect: connect = Convergence.connect

### ConstconnectAnonymously

connectAnonymously: connectAnonymously = Convergence.connectAnonymously

### ConstconnectWithJwt

connectWithJwt: connectWithJwt = Convergence.connectWithJwt

### ConstconnectWithPassword

connectWithPassword: connectWithPassword = Convergence.connectWithPassword

### Constreconnect

reconnect: reconnect = Convergence.reconnect

## Type aliases

### AuthenticationMethod

AuthenticationMethod: ANONYMOUS | PASSWORD | JWT | RECONNECT

A method of authentication. One of the AuthenticationMethods.

### WebSocketFactory

WebSocketFactory: function

A factory function that returns a WebSocket bound to the provided domain URL.

#### Type declaration

- - (url: string): WebSocket

  - #### Parameters

    - ##### url: string

    #### Returns WebSocket